Bug 1537757 - Neutron uses the Nova API public endpoint which may not be always reachable from the node running the Neutron service
Summary: Neutron uses the Nova API public endpoint which may not be always reachable f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-neutron
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Brent Eagles
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On: 1433750
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-23 19:54 UTC by Brent Eagles
Modified: 2018-06-27 13:43 UTC (History)
16 users (show)

Fixed In Version: puppet-neutron-12.3.1-0.20180319183812.fa94be9.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1433750
Environment:
Last Closed: 2018-06-27 13:42:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1745002 None None None 2018-01-23 19:54:20 UTC
OpenStack gerrit 536942 None master: MERGED puppet-neutron: Add param for controlling which nova endpoint is used (I4d17fb08634c3da3ac59a7c1fe728657e4da2c3f) 2018-03-29 16:08:45 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:43:13 UTC

Comment 7 Toni Freger 2018-05-10 06:18:44 UTC
Tested with latest puddle of OSP13 
puppet-neutron-12.4.1-0.20180412211913.el7ost.noarch


# Type of the nova endpoint to use.  This endpoint will be looked up in the
# keystone catalog and should be one of public, internal or admin. (string
# value)
# Possible values:
# public - <No description provided>
# admin - <No description provided>
# internal - <No description provided>
#endpoint_type = public
endpoint_type=internal

Comment 9 errata-xmlrpc 2018-06-27 13:42:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.